
/* 
 * Copyright (c) 1993-2005 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/


#ifndef play_ERROR_H
#define play_ERROR_H

#include "h2errorLib.h"
#include "genom/genomError.h"

#define M_play    (1000)

/* -- MODULES ERRORS -------------------------------------------------- */

/* demo errors */
#define S_play_CANNOT_SWITCH_ON     H2_ENCODE_ERR(M_play      , 1)
#define S_play_CANNOT_READ_BUMPERS  H2_ENCODE_ERR(M_play      , 2)
#define S_play_CANNOT_READ_SONARS   H2_ENCODE_ERR(M_play      , 3)
#define S_play_CANNOT_READ_POSTER   H2_ENCODE_ERR(M_play      , 4)
#define S_play_NONE_POSTER          H2_ENCODE_ERR(M_play      , 5)
#define S_play_SPEED_REF_FAIL       H2_ENCODE_ERR(M_play      , 6)
#define S_play_FAILED               H2_ENCODE_ERR(M_play      , 7)
#define S_play_CANNOT_CONNECT       H2_ENCODE_ERR(M_play      , 8)


/* std errors */
#define S_play_stdGenoM_ACTIVITY_INTERRUPTED       65594369   /* 1000<<16 | 0x8000 | 100<<8 | 1 */
#define S_play_stdGenoM_TOO_MANY_ACTIVITIES        65594370   /* 1000<<16 | 0x8000 | 100<<8 | 2 */
#define S_play_stdGenoM_ACTIVITY_FAILED            65594371   /* 1000<<16 | 0x8000 | 100<<8 | 3 */
#define S_play_stdGenoM_WAIT_ABORT_ZOMBIE_ACTIVITY 65594372   /* 1000<<16 | 0x8000 | 100<<8 | 4 */
#define S_play_stdGenoM_UNKNOWN_ACTIVITY           65594373   /* 1000<<16 | 0x8000 | 100<<8 | 5 */
#define S_play_stdGenoM_FORBIDDEN_ACTIVITY_TRANSITION 65594374   /* 1000<<16 | 0x8000 | 100<<8 | 6 */
#define S_play_stdGenoM_SYSTEM_ERROR               65594375   /* 1000<<16 | 0x8000 | 100<<8 | 7 */
#define S_play_stdGenoM_ACTIVITY_ALREADY_ENDED     65594376   /* 1000<<16 | 0x8000 | 100<<8 | 8 */
#define S_play_stdGenoM_WAIT_INIT_RQST             65594377   /* 1000<<16 | 0x8000 | 100<<8 | 9 */
#define S_play_stdGenoM_CONTROL_CODEL_ERROR        65594378   /* 1000<<16 | 0x8000 | 100<<8 | 10 */
#define S_play_stdGenoM_EXEC_TASK_SUSPENDED        65594379   /* 1000<<16 | 0x8000 | 100<<8 | 11 */
#define S_play_stdGenoM_BAD_BLOCK_TYPE             65594380   /* 1000<<16 | 0x8000 | 100<<8 | 12 */
#define S_play_stdGenoM_BAD_POSTER_TYPE            65594381   /* 1000<<16 | 0x8000 | 100<<8 | 13 */



/* static H2_ERROR[] */
#define PLAY_H2_ERR_MSGS {\
    {"CANNOT_SWITCH_ON", 1},\
    {"CANNOT_READ_BUMPERS", 2},\
    {"CANNOT_READ_SONARS", 3},\
    {"CANNOT_READ_POSTER", 4},\
    {"NONE_POSTER", 5},\
    {"SPEED_REF_FAIL", 6},\
    {"FAILED", 7},\
    {"CANNOT_CONNECT", 8},\
}

#ifdef __cplusplus
extern "C" {
#endif

extern int playRecordH2errMsgs(void);

#ifdef __cplusplus
}
#endif


/*-------------------------- end file loading ---------------------------*/
#endif
