
/* 
 * Copyright (c) 1993-2003,2012 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef play_POSTER_LIB_H
#define play_POSTER_LIB_H

#include "posterLib.h"
#include "genom/genom.h"

/* Types definis ou utilises par le module */
#include "playType.h"
#include "playError.h"

/* 
 * Definition de la SDI_C 
*/
typedef struct {
  CNTRL_TASK_DESCRIPTION cntrlTask;
  EXEC_TASK_DESCRIPTION execTaskTab[PLAY_NB_EXEC_TASK];
  ACTIVITY_DESCRIPTION activityTab[MAX_ACTIVITIES];
} PLAY_CNTRL_STR;

/* For consistency with other posters */
typedef PLAY_CNTRL_STR PLAY_CNTRL_POSTER_STR;
 
/* 
 * Definition des structures de posters
 */
#include "playPosterLibStruct.h"



/* Posters */
#define PLAY_CNTRL_POSTER_NAME genomInstanceSuffixName("play", "Cntrl")
#define PLAY_POSITION_POSTER_NAME genomInstanceSuffixName("play", "Position")
#define PLAY_POM_POSTER_NAME genomInstanceSuffixName("play", "Pom")
#define PLAY_POMSICK_POSTER_NAME genomInstanceSuffixName("play", "PomSick")
#define PLAY_SONARSCART_POSTER_NAME genomInstanceSuffixName("play", "SonarsCart")
#define PLAY_BUMPERS_POSTER_NAME genomInstanceSuffixName("play", "Bumpers")


/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif
extern STATUS playPosterInit ( void );
extern POSTER_ID playCntrlPosterID ();
extern STATUS playCntrlPosterRead ( PLAY_CNTRL_STR *playCntrlStrId );
extern STATUS playCntrlPosterInit ( void );
extern STATUS playCntrlInstancePosterRead(const char *name, PLAY_CNTRL_STR *playCntrlStrId);
extern STATUS playPositionPosterInit ( void );
extern POSTER_ID playPositionPosterID ( void );
extern STATUS playPositionPosterRead ( PLAY_POSITION_POSTER_STR *x );
extern STATUS playPositionInstancePosterRead ( const char *, PLAY_POSITION_POSTER_STR * );
extern STATUS playPositionPosPosterRead ( PLAY_CONFIG *Pos );
extern STATUS playPositionPosInstancePosterRead( const char *, PLAY_CONFIG * );
extern STATUS playPomPosterInit ( void );
extern POSTER_ID playPomPosterID ( void );
extern STATUS playPomPosterRead ( PLAY_POM_POSTER_STR *x );
extern STATUS playPomInstancePosterRead ( const char *, PLAY_POM_POSTER_STR * );
extern STATUS playPomMEPosPosterRead ( POM_ME_POS *MEPos );
extern STATUS playPomMEPosInstancePosterRead( const char *, POM_ME_POS * );
extern STATUS playPomSickPosterInit ( void );
extern POSTER_ID playPomSickPosterID ( void );
extern STATUS playPomSickPosterRead ( PLAY_POMSICK_POSTER_STR *x );
extern STATUS playPomSickInstancePosterRead ( const char *, PLAY_POMSICK_POSTER_STR * );
extern STATUS playPomSickSEPosPosterRead ( POM_SENSOR_POS *SEPos );
extern STATUS playPomSickSEPosInstancePosterRead( const char *, POM_SENSOR_POS * );
extern STATUS playSonarsCartPosterInit ( void );
extern POSTER_ID playSonarsCartPosterID ( void );
extern STATUS playSonarsCartPosterRead ( PLAY_SONARSCART_POSTER_STR *x );
extern STATUS playSonarsCartInstancePosterRead ( const char *, PLAY_SONARSCART_POSTER_STR * );
extern STATUS playSonarsCartHeaderPosterRead ( PLAY_SENSORS_HEADER *Header );
extern STATUS playSonarsCartHeaderInstancePosterRead( const char *, PLAY_SENSORS_HEADER * );
extern STATUS playSonarsCartEchosRobPosterRead ( PLAY_POINT *EchosRob );
extern STATUS playSonarsCartEchosRobInstancePosterRead( const char *, PLAY_POINT * );
extern STATUS playSonarsCartEchosGlobPosterRead ( PLAY_POINT *EchosGlob );
extern STATUS playSonarsCartEchosGlobInstancePosterRead( const char *, PLAY_POINT * );
extern STATUS playBumpersPosterInit ( void );
extern POSTER_ID playBumpersPosterID ( void );
extern STATUS playBumpersPosterRead ( PLAY_BUMPERS_POSTER_STR *x );
extern STATUS playBumpersInstancePosterRead ( const char *, PLAY_BUMPERS_POSTER_STR * );
extern STATUS playBumpersbumpersPosterRead ( PLAY_BUMPERS *bumpers );
extern STATUS playBumpersbumpersInstancePosterRead( const char *, PLAY_BUMPERS * );
#ifdef __cplusplus
}
#endif
#endif

