
/* 
 * Copyright (c) 1993-2003 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef play_TCLSERV_CLIENT_MSG_LIB_H
#define play_TCLSERV_CLIENT_MSG_LIB_H

#include <server/playType.h>

/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif

int playTclservClientInit (TCLSERV_CLIENT_ID pClientId);

int playTclservClientEnd (TCLSERV_CLIENT_ID clientId);



int playTclservClientConnectRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLAY_CONNECT *(in_connect) 
		);

int playTclservClientConnectReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int playTclservClientConnectRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLAY_CONNECT *(in_connect) ,
				
				int *bilan);

int playTclservClientConnectRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLAY_CONNECT *(in_connect) ,
					
					int *bilan);




int playTclservClientGetConnectRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int playTclservClientGetConnectReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       PLAY_CONNECT *(out_connect),
			       int *bilan);

int playTclservClientGetConnectRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 PLAY_CONNECT *(out_connect),
				 int *bilan);




int playTclservClientGetStatusRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId ,
					 PLAY_STATUS *(in_status)
		);

int playTclservClientGetStatusReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int playTclservClientGetStatusRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				 PLAY_STATUS *(in_status) ,
				 
				 int *bilan);




int playTclservClientMotorsRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLAY_BOOL *(in_motorsFlag) 
		);

int playTclservClientMotorsReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int playTclservClientMotorsRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLAY_BOOL *(in_motorsFlag) ,
				
				int *bilan);

int playTclservClientMotorsRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLAY_BOOL *(in_motorsFlag) ,
					
					int *bilan);




int playTclservClientSpeedRefRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLAY_SPEED *(in_speedRef) 
		);

int playTclservClientSpeedRefReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int playTclservClientSpeedRefRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLAY_SPEED *(in_speedRef) ,
				
				int *bilan);

int playTclservClientSpeedRefRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLAY_SPEED *(in_speedRef) ,
					
					int *bilan);




int playTclservClientStopRqstSend (
					 TCLSERV_CLIENT_ID clientId, 
					 ssize_t *pRqstId //,
					 
		);

int playTclservClientStopReplyRcv (
				   TCLSERV_CLIENT_ID clientId, 
			       ssize_t rqstId, 
			       
			       int *bilan);

int playTclservClientStopRqstAndRcv (
				 TCLSERV_CLIENT_ID clientId, 
				  //,
				 
				 int *bilan);




int playTclservClientTrackSpeedRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 GEN_STRING64 *(in_trackPoster) 
		);

int playTclservClientTrackSpeedReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int playTclservClientTrackSpeedRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				GEN_STRING64 *(in_trackPoster) ,
				
				int *bilan);

int playTclservClientTrackSpeedRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					GEN_STRING64 *(in_trackPoster) ,
					
					int *bilan);




int playTclservClientSonarsRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLAY_BOOL *(in_sonarsFlag) 
		);

int playTclservClientSonarsReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int playTclservClientSonarsRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLAY_BOOL *(in_sonarsFlag) ,
				
				int *bilan);

int playTclservClientSonarsRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLAY_BOOL *(in_sonarsFlag) ,
					
					int *bilan);




int playTclservClientBumpersRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId //,
				  
		);

int playTclservClientBumpersReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      int *(out_bumperNum),
			      int *bilan);


int playTclservClientBumpersRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				 //,
				int *(out_bumperNum),
				int *bilan);

int playTclservClientBumpersRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					 //,
					int *(out_bumperNum),
					int *bilan);




int playTclservClientLaserRqstSend (
				 TCLSERV_CLIENT_ID clientId, 
				 ssize_t *pRqstId ,
				 PLAY_BOOL *(in_laserFlag) 
		);

int playTclservClientLaserReplyRcv (
			      TCLSERV_CLIENT_ID clientId, 
				  ssize_t  rqstId, 
			      
			      int *bilan);


int playTclservClientLaserRqstAndAck (
			    TCLSERV_CLIENT_ID clientId, 
				ssize_t *pRqstId,
				PLAY_BOOL *(in_laserFlag) ,
				
				int *bilan);

int playTclservClientLaserRqstAndRcv (
				    TCLSERV_CLIENT_ID clientId, 
					PLAY_BOOL *(in_laserFlag) ,
					
					int *bilan);


#ifdef __cplusplus
}
#endif
#endif /* playTCLSERV_CLIENT_MSG_LIB_H */

